## git-remote-hg 0.3

=== Makefile ===
prefix := $(HOME)

bindir := $(prefix)/bin
mandir := $(prefix)/share/man/man1

all: doc

doc: doc/git-remote-hg.1

test:
	$(MAKE) -C test

doc/git-remote-hg.1: doc/git-remote-hg.txt
	a2x -d manpage -f manpage $<

clean:
	$(RM) doc/git-remote-hg.1

D = $(DESTDIR)

install:
	install -d -m 755 $(D)$(bindir)/
	install -m 755 git-remote-hg $(D)$(bindir)/git-remote-hg

install-doc: doc
	install -d -m 755 $(D)$(mandir)/
	install -m 644 doc/git-remote-hg.1 $(D)$(mandir)/git-remote-hg.1

.PHONY: all test install install-doc clean

## git-remote-hg 0.2+git20140603.185852e

=== debian/changelog ===
git-remote-hg (0.2+git20140603.185852e-1) unstable; urgency=low

  * Initial release (Closes: #703864).
    - A big thanks to Sven Joachim for most of the initial packaging;
      thanks Sven!

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 21 Jul 2014 00:47:23 +0100

=== debian/control ===
Source: git-remote-hg
Section: vcs
Priority: extra
Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
Uploaders: Jonathan Nieder <jrnieder@gmail.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc, xmlto,
# Needed for the testsuite
 mercurial, git, python
Standards-Version: 3.9.5
Homepage: https://github.com/felipec/git-remote-hg
Vcs-Git: git://anonscm.debian.org/collab-maint/git-remote-hg.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/git-remote-hg.git;a=summary

Package: git-remote-hg
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git, python, mercurial
Suggests: git-doc
Description: bidirectional bridge between Git and Mercurial
 This package provides the hg remote helper, which allows Git to
 read from and write to Mercurial repositories as though they were remote
 Git repositories.

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/git-remote-hg-$1.tar.gz/" \
 https://github.com/felipec/git-remote-hg/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## git-remote-hg 0.3

=== debian/changelog ===
git-remote-hg (0.3-1) unstable; urgency=medium

  * New upstream commit
    - Drop Mercurial 3.2 patch; applied upstream
  * Switch upstream to Max Horn's fork (fingolfin/git-remote-hg) as
    original repo (felipec/git-remote-hg) appears unmaintained
  * Add DEP-3 headers to mercurial_3.2_support.patch 
  * d/control: various fixes found by libconfig-model-dpkg-perl
  * d/control: Update Homepage, Vcs-{Browser,Git} URLs

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 13 Feb 2016 19:21:21 +0000

git-remote-hg (0.2+git20140603.185852e-2) unstable; urgency=medium

  * Add patch from upstream pull request to resolve Mercurial 3.2+ breakage
    (Closes: #784209)
    - Thanks to Max Horn <max@quendi.de> for the patch
  * Update Standards Version to 3.9.6
    - No changes required

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 04 May 2015 18:11:07 +0100

=== debian/control ===
Source: git-remote-hg
Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
Uploaders: Jonathan Nieder <jrnieder@gmail.com>
Section: vcs
Priority: extra
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc,
                     xmlto,
                     mercurial,
                     git,
                     python
# Needed for the testsuite
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/git-remote-hg.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-remote-hg.git
Homepage: https://github.com/fingolfin/git-remote-hg

Package: git-remote-hg
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         git,
         python,
         mercurial
Suggests: git-doc
Description: bidirectional bridge between Git and Mercurial
 This package provides the hg remote helper, which allows Git to
 read from and write to Mercurial repositories as though they were remote
 Git repositories.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install -- prefix=/usr DESTDIR=debian/git-remote-hg install-doc

%:
	dh $@

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/git-remote-hg-$1.tar.gz/" \
 https://github.com/fingolfin/git-remote-hg/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## git-remote-hg 0.4

=== debian/changelog ===
git-remote-hg (0.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * New release.
    Closes: Bug#748185, #905844, #844939.

  [ Jonas Smedegaard ]
  * Track mnauw fork (not fingolfin fork inactive since 2016-02-09).
    + Update source URL in copyright and watch file.
    + List Github issue tracker as preferred upstream contact.
  * Extend copyright to cover new upstream author.
  * Drop upstream cherry-picked patches now applied.
  * Unfuzz remaining patch.
  * Add patches cherry-picked upstream:
    + Adjust to Mercurial 4.7 wrt more restricted changectx API.
    + Adjust to Mercurial 4.7 wrt deprecated revlog method.
  * Add patch to fix use C.UTF-8 (not en_US.UTF-8) in testsuite.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Sep 2018 18:04:23 +0200

git-remote-hg (0.3-2) unstable; urgency=medium

  * Backport two upstream patches from felipec's repo which add support for
    Mercurial 3.6 and consequently fix the FTBFS;
    improve-hg-git-compatibility.patch and
    avoid-deprecated-bookmarks-write.patch
    (Closes: #833907, #834908)
  * Update Standards Version to 3.9.8
    - No changes required
  * Add DEP-8 (autopkgtest) support for upstream test suite

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sun, 25 Sep 2016 00:14:32 +0100

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/git-remote-hg-$1.tar.gz/" \
 https://github.com/mnauw/git-remote-hg/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## git-remote-hg 1.0.0~ds

=== Makefile ===
--- 
+++ 
@@ -26,4 +26,14 @@
 	install -d -m 755 $(D)$(mandir)/
 	install -m 644 doc/git-remote-hg.1 $(D)$(mandir)/git-remote-hg.1
 
-.PHONY: all test install install-doc clean
+pypi:
+	-rm -rf dist build
+	python setup.py sdist bdist_wheel
+
+pypi-upload:
+	twine upload dist/*
+
+pypi-test:
+	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
+
+.PHONY: all test install install-doc clean pypy pypy-upload

=== debian/changelog ===
git-remote-hg (1.0.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fixes to support Mercurial 4.7.
      Closes: Bug#915426. Thanks to Paul Gevers.

  [ Ondřej Nový ]
  * Update copyright info: Use https protocol in Format field
  * Use package section optional (not obsolete extra).
  * Update Vcs-* fields: Packaging moved to salsa.debian.org.

  [ Jonas Smedegaard ]
  * Take over as maintainer (see bug#915426).
    Thanks for your past contributions, Jonathan,
    and feel free to join as co-maintainer.
  * Update watch file:
    + Bump to file format 4.
    + Rewrite usage comment.
    + Use substitution strings.
    + Use ~ds suffix for repackaged upstream source.
  * Add git-buildpackage config:
    + Enable pristine-tar and signed tags.
    + Filter any .git* file.
  * Relax to build-depend unversioned on debhelper:
    Needed version satisfied even in oldstable.
  * Add maintainer script to source check copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Update copyright info:
    + Fix double-whitespace-delimit copyright holders.
    + Use recommended license shortname.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Add myself as copyright holder.
    + Tighten packaging license to GPL-3+.
    + Repackage upstream source,
      excluding convenience code copy of sharness.
    + Drop Files section for sharness,
      now excluded in repackaged source.
    + Fix use License GPL-2 (not GPL-2+) for upstream code.
  * Add lintian overrides regarding License-Reference.
  * Drop patches cherry-picked upstream now applied.
  * Add patch 2002 to use shared sharness TAP library.
    Build-depend on sharness.
  * Add patch 2003 to skip a failing test.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Feb 2019 19:42:14 +0100

=== debian/control ===
Source: git-remote-hg
Maintainer: Jonas Smedegaard <dr@jones.dk>
Section: vcs
Priority: optional
Build-Depends:
 debhelper,
Build-Depends-Indep:
 asciidoc,
 git,
 mercurial,
 python,
 sharness,
 xmlto,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/git-remote-hg
Vcs-Git: https://salsa.debian.org/debian/git-remote-hg.git
Homepage: https://github.com/fingolfin/git-remote-hg
Rules-Requires-Root: no

Package: git-remote-hg
Architecture: all
Multi-Arch: foreign
Depends:
 git,
 mercurial,
 python,
 ${misc:Depends},
Suggests:
 git-doc,
Description: bidirectional bridge between Git and Mercurial
 This package provides the hg remote helper,
 which allows Git to read from and write to Mercurial repositories
 as though they were remote Git repositories.

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 	dh_auto_install -- prefix=/usr DESTDIR=debian/git-remote-hg install-doc
 
 %:
-	dh $@ 
+	dh $@

=== debian/tests/control ===
Tests: upstream-test-suite
Depends:
 @builddeps@,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~ds,\
filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1% \
https://github.com/mnauw/git-remote-hg/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## git-remote-hg 1.0.1~ds

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,8 @@
 	install -m 644 doc/git-remote-hg.1 $(D)$(mandir)/git-remote-hg.1
 
 pypi:
+	version=`git describe --tags ${REV}` && \
+		sed -i "s/version = .*/version = '$$version'/" setup.py
 	-rm -rf dist build
 	python setup.py sdist bdist_wheel

=== debian/changelog ===
git-remote-hg (1.0.1~ds-2) unstable; urgency=medium

  * update Homepage URL
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * rename patch to use C.UTF-8 as patch 1001
  * rename patch to change shebang as patch 2001
  * declare compliance with Debian Policy 4.5.0
  * explicitly use python2 (not python):
    + extend patch 2001 to cover git-hg-helper
    + (build-)depend on python2 (not python)
    (see bug#943032)
  * install script git-hg-helper

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 May 2020 16:42:39 +0200

git-remote-hg (1.0.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file: Simplify regular expressions.
  * Declare compliance with Debian Policy 4.4.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 13:44:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Section: vcs
 Priority: optional
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
 Build-Depends-Indep:
  asciidoc,
  git,
  mercurial,
- python,
+ python2,
  sharness,
  xmlto,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/git-remote-hg
 Vcs-Git: https://salsa.debian.org/debian/git-remote-hg.git
-Homepage: https://github.com/fingolfin/git-remote-hg
+Homepage: https://github.com/mnauw/git-remote-hg
 Rules-Requires-Root: no
 
 Package: git-remote-hg
@@ -23,7 +23,7 @@
 Depends:
  git,
  mercurial,
- python,
+ python2,
  ${misc:Depends},
 Suggests:
  git-doc,

## git-remote-hg 1.0.2.1~ds

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 pypi:
 	version=`git describe --tags ${REV}` && \
-		sed -i "s/version = .*/version = '$$version'/" setup.py
+		sed -i "s/version = .*/version = '$$version'[1:]/" setup.py
 	-rm -rf dist build
 	python setup.py sdist bdist_wheel

=== debian/changelog ===
git-remote-hg (1.0.2.1~ds-3) unstable; urgency=medium

  * QA upload.
  * Make the tests verbose unless terse mode is on
  * Add missing @ autopkgtest dependency
  * Allow stderr for the autopkgtests due to verbose mode

 -- Paul Wise <pabs@debian.org>  Sun, 29 Aug 2021 18:33:59 +0800

git-remote-hg (1.0.2.1~ds-2) unstable; urgency=medium

  * QA upload.
  * Add missing mercurial-git test dependency (LP: #1940123)

 -- Paul Wise <pabs@debian.org>  Tue, 17 Aug 2021 20:36:22 +0800

git-remote-hg (1.0.2.1~ds-1) unstable; urgency=medium

  * QA upload.

  [ Simon McVittie ]
  * New upstream release, supporting python3
    (Closes: #971061, #943032) (LP: #1904059)
  * Refresh patch series
    - d/p/2001_debian-shebang.patch: Use Python 3
    - d/p/2003_testsuite_skip_broken.patch: Drop, appears to be unnecessary
  * d/control: Use python3
  * d/rules, d/clean: Use python3 to run the tests.
    The test scripts hard-code python, so put a directory in the PATH
    where python is python3.
  * Build using dh_python3

  [ Paul Wise ]
  * Orphan the package (see #985817)
  * Mark sharness with nocheck build profile
  * Use the same python workaround for the as-installed tests
  * Prevent the as-installed tests from using the source dir
  * Complies with Standards-Version 4.5.1, no changes needed
  * Drop DESTDIR override as debhelper does it correctly
  * Update upstream and Debian copyright information
  * Use debhelper compat 13, no changes to .deb made
  * Add upstream Changelog/Repository metadata

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Paul Wise <pabs@debian.org>  Thu, 01 Apr 2021 15:13:10 +0800

=== debian/control ===
Source: git-remote-hg
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: vcs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
Build-Depends-Indep:
 asciidoc,
 git,
 mercurial (>= 5.4.1-2~),
 mercurial-git <!nocheck>,
 python3,
 sharness <!nocheck>,
 xmlto,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/git-remote-hg
Vcs-Git: https://salsa.debian.org/debian/git-remote-hg.git
Homepage: https://github.com/mnauw/git-remote-hg
Rules-Requires-Root: no

Package: git-remote-hg
Architecture: all
Multi-Arch: foreign
Depends:
 git,
 mercurial (>= 5.4.1-2~),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 git-doc,
Description: bidirectional bridge between Git and Mercurial
 This package provides the hg remote helper,
 which allows Git to read from and write to Mercurial repositories
 as though they were remote Git repositories.

=== debian/rules ===
#!/usr/bin/make -f

export PATH := ${CURDIR}/debian/bin:${PATH}

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export TEST_OPTS = --verbose
endif

override_dh_auto_test:
	mkdir -p debian/bin
	ln -s /usr/bin/python3 debian/bin/python
	dh_auto_test

override_dh_auto_install:
	dh_auto_install -- prefix=/usr install-doc

%:
	dh $@

=== debian/tests/control ===
Tests: upstream-test-suite
Restrictions: allow-stderr
Depends:
 @,
 @builddeps@,

## git-remote-hg 1.0.3.2~ds

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,28 @@
 bindir := $(prefix)/bin
 mandir := $(prefix)/share/man/man1
 
-all: doc
+all: build doc
+
+build:
+	if [ -n "$$PYTHON" ] && "$$PYTHON" -c 'import mercurial' 2> /dev/null ; then \
+		: Use chosen Python version ; \
+	elif python3 -c 'import mercurial' 2> /dev/null ; then \
+		PYTHON=python3 ; \
+	elif python2 -c 'import mercurial' 2> /dev/null ; then \
+		PYTHON=python2 ; \
+	elif python -c 'import mercurial' 2> /dev/null ; then \
+		PYTHON=python ; \
+	else \
+		echo 'Python with Mercurial not available' >&2 ; \
+		exit 1 ; \
+	fi ; \
+	mkdir -p bin ; \
+	for s in git-remote-hg git-hg-helper ; do \
+		printf "%s\n" "#!/usr/bin/env $$PYTHON" > "bin/$$s" ; \
+		tail -n +2 "./$$s" >> "bin/$$s" ; \
+		chmod 755 "bin/$$s" ; \
+		touch -r "./$$s" "bin/$$s" ; \
+	done
 
 doc: doc/git-remote-hg.1
 
@@ -15,12 +36,14 @@
 
 clean:
 	$(RM) doc/git-remote-hg.1
+	$(RM) -r bin/
 
 D = $(DESTDIR)
 
-install:
+install: build
 	install -d -m 755 $(D)$(bindir)/
-	install -m 755 git-remote-hg $(D)$(bindir)/git-remote-hg
+	install -m 755 bin/git-remote-hg $(D)$(bindir)/git-remote-hg
+	install -m 755 bin/git-hg-helper $(D)$(bindir)/git-hg-helper
 
 install-doc: doc
 	install -d -m 755 $(D)$(mandir)/
@@ -38,4 +61,4 @@
 pypi-test:
 	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
 
-.PHONY: all test install install-doc clean pypy pypy-upload
+.PHONY: all build test install install-doc clean pypy pypy-upload

=== test/Makefile ===
RM ?= rm -f

T = main.t main-push.t bidi.t helper.t
TEST_DIRECTORY := $(CURDIR)

export TEST_DIRECTORY

all: test

test: $(T)
	$(MAKE) clean

$(T):
	$(SHELL) $@ $(TEST_OPTS)

clean:
	$(RM) -r 'trash directory'.* test-results

.PHONY: all test $(T) clean

=== debian/changelog ===
git-remote-hg (1.0.3.2~ds-2) unstable; urgency=medium

  * QA upload.
  * Fix git-hg-helper compatibility with hg 6.1.

 -- Julien Cristau <jcristau@debian.org>  Sat, 26 Mar 2022 09:46:03 +0100

git-remote-hg (1.0.3.2~ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - Fixes test failure with git 2.35.1 (Closes: #1006038)
    - Fixes invalid character encoding with Python 3.7 (Closes: #826002)
  * Drop Python shebangs and sharness issues, upstream handles that now
  * Drop installing git-hg-helper, upstream handles that now
  * Use new upstream option to test installed package in autopkgtest
  * Add Documentation URL to upstream metadata
  * Declare compliance with Debian Policy 4.6.0, no changes needed

 -- Paul Wise <pabs@debian.org>  Thu, 24 Feb 2022 07:03:11 +0800

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends-Indep:
  asciidoc,
  git,
- mercurial (>= 5.4.1-2~),
+ mercurial (>= 5.8~),
  mercurial-git <!nocheck>,
  python3,
  sharness <!nocheck>,
  xmlto,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/git-remote-hg
 Vcs-Git: https://salsa.debian.org/debian/git-remote-hg.git
 Homepage: https://github.com/mnauw/git-remote-hg
@@ -24,7 +24,7 @@
 Multi-Arch: foreign
 Depends:
  git,
- mercurial (>= 5.4.1-2~),
+ mercurial (>= 5.8),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export TEST_OPTS = --verbose
endif

override_dh_auto_install:
	dh_auto_install -- prefix=/usr install-doc

%:
	dh $@

=== debian/tests/control ===
Test-Command: make -C test TEST_INSTALLED_SCRIPTS=1 TEST_OPTS=--verbose
Features: test-name=upstream-test-suite
Restrictions: allow-stderr
Depends:
 @,
 @builddeps@,

## git-remote-hg 1.0.4~ds

=== debian/changelog ===
git-remote-hg (1.0.4~ds-3) unstable; urgency=medium

  * QA upload.
  * Reformat d/control with debputy
  * Trim autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 21:15:16 +0100

git-remote-hg (1.0.4~ds-2) unstable; urgency=medium

  * QA upload.
  * Add dependpency on python3-zombie-imp (Closes: #1061742)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 14:54:06 +0200

git-remote-hg (1.0.4~ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - Drop patches merged upstream
    - Fixes test failure with git security update (Closes: #1023804)
  * Update standards version to 4.6.1, no changes needed.

 -- Paul Wise <pabs@debian.org>  Thu, 08 Dec 2022 10:00:03 +0800

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
-Build-Depends-Indep:
  asciidoc,
  git,
+ help2man,
  mercurial (>= 5.8~),
  mercurial-git <!nocheck>,
  python3,
+ python3-zombie-imp,
  sharness <!nocheck>,
  xmlto,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/git-remote-hg
 Vcs-Git: https://salsa.debian.org/debian/git-remote-hg.git
 Homepage: https://github.com/mnauw/git-remote-hg
 Rules-Requires-Root: no
+X-Style: black
 
 Package: git-remote-hg
 Architecture: all
@@ -25,6 +27,7 @@
 Depends:
  git,
  mercurial (>= 5.8),
+ python3-zombie-imp,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,12 @@
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr install-doc
 
+execute_before_dh_installman:
+	help2man \
+		--no-discard-stderr \
+		--no-info \
+		-n "Helper commands for git-mercurial bidirectional interaction" \
+		./git-hg-helper > debian/git-hg-helper.1
+
 %:
 	dh $@

## git-remote-hg 1.0.5~ds

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	$(MAKE) -C test
 
 doc/git-remote-hg.1: doc/git-remote-hg.txt
-	a2x -d manpage -f manpage $<
+	asciidoctor -d manpage -b manpage $<
 
 clean:
 	$(RM) doc/git-remote-hg.1

=== test/Makefile ===
RM ?= rm -f

T = main.t main-push.t bidi.t helper.t
SHARNESS_TEST_DIRECTORY := $(CURDIR)

export SHARNESS_TEST_DIRECTORY

all: test

test: $(T)
	$(MAKE) clean

$(T):
	./$@ $(TEST_OPTS)

clean:
	$(RM) -r 'trash directory'.* test-results

.PHONY: all test $(T) clean

=== debian/changelog ===
git-remote-hg (1.0.5~ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.0.5~ds
  * Remove old stale CDBS file, use "lrc" instead
  * Remove dependency on python3-zombie-imp
  * Replace asciidoc build dependency with asciidoctor

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 19:36:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- asciidoc,
+ asciidoctor,
  git,
  help2man,
  mercurial (>= 5.8~),
  mercurial-git <!nocheck>,
  python3,
- python3-zombie-imp,
  sharness <!nocheck>,
  xmlto,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/git-remote-hg
 Vcs-Git: https://salsa.debian.org/debian/git-remote-hg.git
 Homepage: https://github.com/mnauw/git-remote-hg
-Rules-Requires-Root: no
 X-Style: black
 
 Package: git-remote-hg
@@ -27,7 +25,6 @@
 Depends:
  git,
  mercurial (>= 5.8),
- python3-zombie-imp,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 export TEST_OPTS = --verbose
 endif
+
+%:
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr install-doc
@@ -13,6 +16,3 @@
 		--no-info \
 		-n "Helper commands for git-mercurial bidirectional interaction" \
 		./git-hg-helper > debian/git-hg-helper.1
-
-%:
-	dh $@

=== debian/tests/control ===
Test-Command: make -C test TEST_INSTALLED_SCRIPTS=1 TEST_OPTS=--verbose
Features:
 test-name=upstream-test-suite,
Restrictions:
 allow-stderr,
Depends:
 mercurial-git,
 sharness,
 @,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~ds,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/mnauw/git-remote-hg/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
